Invoice
Revert a cancelled invoice
POST
/
v1
/
invoices
/
{id}
/
revert-cancel
Revert a cancelled invoice
curl --request POST \
--url https://dev.flextell.ai/api/v1/invoices/{id}/revert-cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '{
"id": 2
}'{
"success": "<string>",
"data": {
"message": "<string>",
"invoice": {
"id": 123,
"document_number": "<string>",
"document_class": "<string>",
"document_type": "<string>",
"profile_id": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"sender_tax_number": "<string>",
"receiver_name": "<string>",
"receiver_tax_number": "<string>",
"receiver_email": "<string>",
"exchange_rate": "<string>",
"amount_tax_exclusive": "<string>",
"amount_tax_total": "<string>",
"amount_payable": "<string>",
"invoice_amount": "<string>",
"status": "<string>",
"status_label": "<string>",
"is_printed": true,
"is_cancelled": true,
"is_read": true,
"is_draft": true,
"is_archived": true,
"series_name": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"tenant_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_id": 123,
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"avatar_url": "<string>",
"avatar_updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"city_id": 123,
"district_id": 123,
"import_source_id": 123,
"passport_number": "<string>",
"search_vector": "<string>",
"is_intake_completed": true,
"default_channel_id": 123
},
"currency": {
"id": 123,
"name": "<string>",
"code": "<string>",
"symbol": "<string>",
"is_active": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"locale": "<string>",
"search_vector": "<string>"
}
}
}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The invoice identifier
Body
application/json
The invoice revert cancel identifier.
Required range:
x >= 1⌘I
Revert a cancelled invoice
curl --request POST \
--url https://dev.flextell.ai/api/v1/invoices/{id}/revert-cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '{
"id": 2
}'{
"success": "<string>",
"data": {
"message": "<string>",
"invoice": {
"id": 123,
"document_number": "<string>",
"document_class": "<string>",
"document_type": "<string>",
"profile_id": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"sender_tax_number": "<string>",
"receiver_name": "<string>",
"receiver_tax_number": "<string>",
"receiver_email": "<string>",
"exchange_rate": "<string>",
"amount_tax_exclusive": "<string>",
"amount_tax_total": "<string>",
"amount_payable": "<string>",
"invoice_amount": "<string>",
"status": "<string>",
"status_label": "<string>",
"is_printed": true,
"is_cancelled": true,
"is_read": true,
"is_draft": true,
"is_archived": true,
"series_name": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"tenant_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"country_id": 123,
"identity_number": "<string>",
"job": "<string>",
"address": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"avatar_url": "<string>",
"avatar_updated_at": "2023-11-07T05:31:56Z",
"user_id": 123,
"city_id": 123,
"district_id": 123,
"import_source_id": 123,
"passport_number": "<string>",
"search_vector": "<string>",
"is_intake_completed": true,
"default_channel_id": 123
},
"currency": {
"id": 123,
"name": "<string>",
"code": "<string>",
"symbol": "<string>",
"is_active": "<string>",
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"locale": "<string>",
"search_vector": "<string>"
}
}
}
}